//
//  Keychainable.swift
//  KeychainStorage
//
//  Created by Javier Cicchelli on 11/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import Foundation

public protocol Keychainable {
    func getData(
        _ key: String,
        ignoringAttributeSynchronizable: Bool
    ) throws -> Data?
    
    func set(
        _ value: Data,
        key: String,
        ignoringAttributeSynchronizable: Bool
    ) throws
    
    func remove(
        _ key: String,
        ignoringAttributeSynchronizable: Bool
    ) throws
}
